/**
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.oaas.impl;

import br.ufes.nemo.seon.ontoloyasservice.oaas.About;
import br.ufes.nemo.seon.ontoloyasservice.oaas.Author;
import br.ufes.nemo.seon.ontoloyasservice.oaas.Author_Email;
import br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration;
import br.ufes.nemo.seon.ontoloyasservice.oaas.Level;
import br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage;
import br.ufes.nemo.seon.ontoloyasservice.oaas.Ontology;
import br.ufes.nemo.seon.ontoloyasservice.oaas.OntologyShortName;
import br.ufes.nemo.seon.ontoloyasservice.oaas.Repository;
import br.ufes.nemo.seon.ontoloyasservice.oaas.Software;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.MinimalEObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Configuration</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * </p>
 * <ul>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getOntology <em>Ontology</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getOntologyShortName <em>Ontology Short Name</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getLevel <em>Level</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getAbout <em>About</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getSoftware <em>Software</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getAuthor <em>Author</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getAuthor_email <em>Author email</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl#getRepository <em>Repository</em>}</li>
 * </ul>
 *
 * @generated
 */
public class ConfigurationImpl extends MinimalEObjectImpl.Container implements Configuration
{
  /**
   * The cached value of the '{@link #getOntology() <em>Ontology</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getOntology()
   * @generated
   * @ordered
   */
  protected Ontology ontology;

  /**
   * The cached value of the '{@link #getOntologyShortName() <em>Ontology Short Name</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getOntologyShortName()
   * @generated
   * @ordered
   */
  protected OntologyShortName ontologyShortName;

  /**
   * The cached value of the '{@link #getLevel() <em>Level</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getLevel()
   * @generated
   * @ordered
   */
  protected Level level;

  /**
   * The cached value of the '{@link #getAbout() <em>About</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAbout()
   * @generated
   * @ordered
   */
  protected About about;

  /**
   * The cached value of the '{@link #getSoftware() <em>Software</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getSoftware()
   * @generated
   * @ordered
   */
  protected Software software;

  /**
   * The cached value of the '{@link #getAuthor() <em>Author</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAuthor()
   * @generated
   * @ordered
   */
  protected Author author;

  /**
   * The cached value of the '{@link #getAuthor_email() <em>Author email</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAuthor_email()
   * @generated
   * @ordered
   */
  protected Author_Email author_email;

  /**
   * The cached value of the '{@link #getRepository() <em>Repository</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRepository()
   * @generated
   * @ordered
   */
  protected Repository repository;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ConfigurationImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return OaasPackage.Literals.CONFIGURATION;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Ontology getOntology()
  {
    return ontology;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetOntology(Ontology newOntology, NotificationChain msgs)
  {
    Ontology oldOntology = ontology;
    ontology = newOntology;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__ONTOLOGY, oldOntology, newOntology);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setOntology(Ontology newOntology)
  {
    if (newOntology != ontology)
    {
      NotificationChain msgs = null;
      if (ontology != null)
        msgs = ((InternalEObject)ontology).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__ONTOLOGY, null, msgs);
      if (newOntology != null)
        msgs = ((InternalEObject)newOntology).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__ONTOLOGY, null, msgs);
      msgs = basicSetOntology(newOntology, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__ONTOLOGY, newOntology, newOntology));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public OntologyShortName getOntologyShortName()
  {
    return ontologyShortName;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetOntologyShortName(OntologyShortName newOntologyShortName, NotificationChain msgs)
  {
    OntologyShortName oldOntologyShortName = ontologyShortName;
    ontologyShortName = newOntologyShortName;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME, oldOntologyShortName, newOntologyShortName);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setOntologyShortName(OntologyShortName newOntologyShortName)
  {
    if (newOntologyShortName != ontologyShortName)
    {
      NotificationChain msgs = null;
      if (ontologyShortName != null)
        msgs = ((InternalEObject)ontologyShortName).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME, null, msgs);
      if (newOntologyShortName != null)
        msgs = ((InternalEObject)newOntologyShortName).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME, null, msgs);
      msgs = basicSetOntologyShortName(newOntologyShortName, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME, newOntologyShortName, newOntologyShortName));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Level getLevel()
  {
    return level;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetLevel(Level newLevel, NotificationChain msgs)
  {
    Level oldLevel = level;
    level = newLevel;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__LEVEL, oldLevel, newLevel);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setLevel(Level newLevel)
  {
    if (newLevel != level)
    {
      NotificationChain msgs = null;
      if (level != null)
        msgs = ((InternalEObject)level).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__LEVEL, null, msgs);
      if (newLevel != null)
        msgs = ((InternalEObject)newLevel).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__LEVEL, null, msgs);
      msgs = basicSetLevel(newLevel, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__LEVEL, newLevel, newLevel));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public About getAbout()
  {
    return about;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetAbout(About newAbout, NotificationChain msgs)
  {
    About oldAbout = about;
    about = newAbout;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__ABOUT, oldAbout, newAbout);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setAbout(About newAbout)
  {
    if (newAbout != about)
    {
      NotificationChain msgs = null;
      if (about != null)
        msgs = ((InternalEObject)about).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__ABOUT, null, msgs);
      if (newAbout != null)
        msgs = ((InternalEObject)newAbout).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__ABOUT, null, msgs);
      msgs = basicSetAbout(newAbout, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__ABOUT, newAbout, newAbout));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Software getSoftware()
  {
    return software;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetSoftware(Software newSoftware, NotificationChain msgs)
  {
    Software oldSoftware = software;
    software = newSoftware;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__SOFTWARE, oldSoftware, newSoftware);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setSoftware(Software newSoftware)
  {
    if (newSoftware != software)
    {
      NotificationChain msgs = null;
      if (software != null)
        msgs = ((InternalEObject)software).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__SOFTWARE, null, msgs);
      if (newSoftware != null)
        msgs = ((InternalEObject)newSoftware).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__SOFTWARE, null, msgs);
      msgs = basicSetSoftware(newSoftware, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__SOFTWARE, newSoftware, newSoftware));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Author getAuthor()
  {
    return author;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetAuthor(Author newAuthor, NotificationChain msgs)
  {
    Author oldAuthor = author;
    author = newAuthor;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__AUTHOR, oldAuthor, newAuthor);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setAuthor(Author newAuthor)
  {
    if (newAuthor != author)
    {
      NotificationChain msgs = null;
      if (author != null)
        msgs = ((InternalEObject)author).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__AUTHOR, null, msgs);
      if (newAuthor != null)
        msgs = ((InternalEObject)newAuthor).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__AUTHOR, null, msgs);
      msgs = basicSetAuthor(newAuthor, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__AUTHOR, newAuthor, newAuthor));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Author_Email getAuthor_email()
  {
    return author_email;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetAuthor_email(Author_Email newAuthor_email, NotificationChain msgs)
  {
    Author_Email oldAuthor_email = author_email;
    author_email = newAuthor_email;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__AUTHOR_EMAIL, oldAuthor_email, newAuthor_email);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setAuthor_email(Author_Email newAuthor_email)
  {
    if (newAuthor_email != author_email)
    {
      NotificationChain msgs = null;
      if (author_email != null)
        msgs = ((InternalEObject)author_email).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__AUTHOR_EMAIL, null, msgs);
      if (newAuthor_email != null)
        msgs = ((InternalEObject)newAuthor_email).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__AUTHOR_EMAIL, null, msgs);
      msgs = basicSetAuthor_email(newAuthor_email, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__AUTHOR_EMAIL, newAuthor_email, newAuthor_email));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Repository getRepository()
  {
    return repository;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetRepository(Repository newRepository, NotificationChain msgs)
  {
    Repository oldRepository = repository;
    repository = newRepository;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__REPOSITORY, oldRepository, newRepository);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void setRepository(Repository newRepository)
  {
    if (newRepository != repository)
    {
      NotificationChain msgs = null;
      if (repository != null)
        msgs = ((InternalEObject)repository).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__REPOSITORY, null, msgs);
      if (newRepository != null)
        msgs = ((InternalEObject)newRepository).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - OaasPackage.CONFIGURATION__REPOSITORY, null, msgs);
      msgs = basicSetRepository(newRepository, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, OaasPackage.CONFIGURATION__REPOSITORY, newRepository, newRepository));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case OaasPackage.CONFIGURATION__ONTOLOGY:
        return basicSetOntology(null, msgs);
      case OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME:
        return basicSetOntologyShortName(null, msgs);
      case OaasPackage.CONFIGURATION__LEVEL:
        return basicSetLevel(null, msgs);
      case OaasPackage.CONFIGURATION__ABOUT:
        return basicSetAbout(null, msgs);
      case OaasPackage.CONFIGURATION__SOFTWARE:
        return basicSetSoftware(null, msgs);
      case OaasPackage.CONFIGURATION__AUTHOR:
        return basicSetAuthor(null, msgs);
      case OaasPackage.CONFIGURATION__AUTHOR_EMAIL:
        return basicSetAuthor_email(null, msgs);
      case OaasPackage.CONFIGURATION__REPOSITORY:
        return basicSetRepository(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case OaasPackage.CONFIGURATION__ONTOLOGY:
        return getOntology();
      case OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME:
        return getOntologyShortName();
      case OaasPackage.CONFIGURATION__LEVEL:
        return getLevel();
      case OaasPackage.CONFIGURATION__ABOUT:
        return getAbout();
      case OaasPackage.CONFIGURATION__SOFTWARE:
        return getSoftware();
      case OaasPackage.CONFIGURATION__AUTHOR:
        return getAuthor();
      case OaasPackage.CONFIGURATION__AUTHOR_EMAIL:
        return getAuthor_email();
      case OaasPackage.CONFIGURATION__REPOSITORY:
        return getRepository();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case OaasPackage.CONFIGURATION__ONTOLOGY:
        setOntology((Ontology)newValue);
        return;
      case OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME:
        setOntologyShortName((OntologyShortName)newValue);
        return;
      case OaasPackage.CONFIGURATION__LEVEL:
        setLevel((Level)newValue);
        return;
      case OaasPackage.CONFIGURATION__ABOUT:
        setAbout((About)newValue);
        return;
      case OaasPackage.CONFIGURATION__SOFTWARE:
        setSoftware((Software)newValue);
        return;
      case OaasPackage.CONFIGURATION__AUTHOR:
        setAuthor((Author)newValue);
        return;
      case OaasPackage.CONFIGURATION__AUTHOR_EMAIL:
        setAuthor_email((Author_Email)newValue);
        return;
      case OaasPackage.CONFIGURATION__REPOSITORY:
        setRepository((Repository)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case OaasPackage.CONFIGURATION__ONTOLOGY:
        setOntology((Ontology)null);
        return;
      case OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME:
        setOntologyShortName((OntologyShortName)null);
        return;
      case OaasPackage.CONFIGURATION__LEVEL:
        setLevel((Level)null);
        return;
      case OaasPackage.CONFIGURATION__ABOUT:
        setAbout((About)null);
        return;
      case OaasPackage.CONFIGURATION__SOFTWARE:
        setSoftware((Software)null);
        return;
      case OaasPackage.CONFIGURATION__AUTHOR:
        setAuthor((Author)null);
        return;
      case OaasPackage.CONFIGURATION__AUTHOR_EMAIL:
        setAuthor_email((Author_Email)null);
        return;
      case OaasPackage.CONFIGURATION__REPOSITORY:
        setRepository((Repository)null);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case OaasPackage.CONFIGURATION__ONTOLOGY:
        return ontology != null;
      case OaasPackage.CONFIGURATION__ONTOLOGY_SHORT_NAME:
        return ontologyShortName != null;
      case OaasPackage.CONFIGURATION__LEVEL:
        return level != null;
      case OaasPackage.CONFIGURATION__ABOUT:
        return about != null;
      case OaasPackage.CONFIGURATION__SOFTWARE:
        return software != null;
      case OaasPackage.CONFIGURATION__AUTHOR:
        return author != null;
      case OaasPackage.CONFIGURATION__AUTHOR_EMAIL:
        return author_email != null;
      case OaasPackage.CONFIGURATION__REPOSITORY:
        return repository != null;
    }
    return super.eIsSet(featureID);
  }

} //ConfigurationImpl
